## org.apache.mahout.classifier.bayes.mapreduce.bayes
Class BayesClassifierMapper

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.classifier.bayes.mapreduce.bayes.BayesClassifierMapper

All Implemented Interfaces:
  java.io.Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,StringTuple,org.apache.hadoop.io.DoubleWritable>

    public class BayesClassifierMapper

extends org.apache.hadoop.mapred.MapReduceBase
implements org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,StringTuple,org.apache.hadoop.io.DoubleWritable>

Reads the input train set(preprocessed using the `BayesFileFormatter`).

Constructor Summary
`BayesClassifierMapper()`

Method Summary
`void` `configure(org.apache.hadoop.mapred.JobConf job)`
`void` `map(org.apache.hadoop.io.Text key, org.apache.hadoop.io.Text value, org.apache.hadoop.mapred.OutputCollector<StringTuple,org.apache.hadoop.io.DoubleWritable> output, org.apache.hadoop.mapred.Reporter reporter)` Parallel Classification

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### BayesClassifierMapper

    public BayesClassifierMapper()

Method Detail

### map

    public void map(org.apache.hadoop.io.Text key,
                    org.apache.hadoop.io.Text value,
                    org.apache.hadoop.mapred.OutputCollector<StringTuple,org.apache.hadoop.io.DoubleWritable> output,
                    org.apache.hadoop.mapred.Reporter reporter)
             throws java.io.IOException

  Parallel Classification

  Specified by:
    `map` in interface `org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,StringTuple,org.apache.hadoop.io.DoubleWritable>`
  Parameters:
    `key` - The label
    `value` - the features (all unique) associated w/ this label
    `output` - The OutputCollector to write the results to
    `reporter` - Reports status back to hadoop
  Throws:
    `java.io.IOException`

### configure

    public void configure(org.apache.hadoop.mapred.JobConf job)

  Specified by:
    `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`
  Overrides:
    `configure` in class `org.apache.hadoop.mapred.MapReduceBase`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.